io.vertx.serviceproxy.generator.model

## Class ProxyModel

- java.lang.Object
- - io.vertx.codegen.ClassModel
  - - io.vertx.serviceproxy.generator.model.ProxyModel

- All Implemented Interfaces:
    io.vertx.codegen.Model
  Direct Known Subclasses:
    WebApiProxyModel

      public class ProxyModel
      extends io.vertx.codegen.ClassModel

  Author:
    Tim Fox

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.ClassModel

      `abstractSuperTypes, annotations, annotationValueInfoFactory, anyJavaTypeMethods, collectedTypes, concrete, concreteSuperType, constants, deprecated, deprecatedDesc, doc, docFactory, elementUtils, env, FUNCTION, functionArgs, futureMethods, handlerArg, ifaceComment, ifaceFQCN, ifacePackageName, ifaceSimpleName, importedTypes, ITERABLE, iterableArg, ITERATOR, iteratorArg, JSON_ARRAY, JSON_OBJECT, messager, methodAnnotationsMap, methodMap, methods, modelElt, processed, readStreamArg, referencedDataObjectTypes, referencedEnumTypes, referencedTypes, superTypes, type, typeFactory, typeUtils, VERTX, VERTX_ASYNC_RESULT, VERTX_HANDLER, VERTX_READ_STREAM, VERTX_WRITE_STREAM, writeStreamArg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyModel(ProcessingEnvironment env, io.vertx.codegen.type.TypeMirrorFactory typeFactory, TypeElement modelElt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkMethod(io.vertx.codegen.MethodInfo methodInfo)`
    `protected void` | `checkParamType(ExecutableElement elem, io.vertx.codegen.type.TypeInfo typeInfo, int pos, int numParams, boolean allowAnyJavaType)`
    `protected void` | `checkReturnType(ExecutableElement elem, io.vertx.codegen.type.TypeInfo type, boolean allowAnyJavaType)`
    `protected io.vertx.codegen.MethodInfo` | `createMethodInfo(Set<io.vertx.codegen.type.ClassTypeInfo> ownerTypes, String methodName, String comment, io.vertx.codegen.doc.Doc doc, io.vertx.codegen.type.TypeInfo returnType, io.vertx.codegen.doc.Text returnDescription, boolean isFluent, boolean isCacheReturn, List<io.vertx.codegen.ParamInfo> mParams, ExecutableElement methodElt, boolean isStatic, boolean isDefault, ArrayList<io.vertx.codegen.TypeParamInfo.Method> typeParams, TypeElement declaringElt, boolean methodDeprecated, io.vertx.codegen.doc.Text methodDeprecatedDesc, boolean useFutures, boolean methodOverride)`
    `String` | `getKind()`

    - ### Methods inherited from class io.vertx.codegen.ClassModel

      `getAbstractSuperTypes, getAnnotations, getAnyJavaTypeMethods, getConcreteSuperType, getConstants, getDeprecatedDesc, getDoc, getElement, getFqn, getFunctionArgs, getHandlerArg, getIfaceComment, getIfaceFQCN, getIfacePackageName, getIfaceSimpleName, getImportedTypes, getInstanceMethods, getIterableArg, getIteratorArg, getMethodAnnotations, getMethodMap, getMethods, getModule, getReadStreamArg, getReferencedDataObjectTypes, getReferencedEnumTypes, getReferencedTypes, getStaticMethods, getSuperTypeArguments, getSuperTypes, getType, getTypeParams, getVars, getWriteStreamArg, isConcrete, isDeprecated, isFunction, isHandler, isIterable, isIterator, isReadStream, isWriteStream, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyModel

          public ProxyModel(ProcessingEnvironment env,
                            io.vertx.codegen.type.TypeMirrorFactory typeFactory,
                            TypeElement modelElt)

  - ### Method Detail

    - #### getKind

          public String getKind()

      Specified by:
        `getKind` in interface `io.vertx.codegen.Model`
      Overrides:
        `getKind` in class `io.vertx.codegen.ClassModel`

    - #### checkParamType

          protected void checkParamType(ExecutableElement elem,
                                        io.vertx.codegen.type.TypeInfo typeInfo,
                                        int pos,
                                        int numParams,
                                        boolean allowAnyJavaType)

      Overrides:
        `checkParamType` in class `io.vertx.codegen.ClassModel`

    - #### checkReturnType

          protected void checkReturnType(ExecutableElement elem,
                                         io.vertx.codegen.type.TypeInfo type,
                                         boolean allowAnyJavaType)

      Overrides:
        `checkReturnType` in class `io.vertx.codegen.ClassModel`

    - #### checkMethod

          protected void checkMethod(io.vertx.codegen.MethodInfo methodInfo)

      Overrides:
        `checkMethod` in class `io.vertx.codegen.ClassModel`

    - #### createMethodInfo

          protected io.vertx.codegen.MethodInfo createMethodInfo(Set<io.vertx.codegen.type.ClassTypeInfo> ownerTypes,
                                                                 String methodName,
                                                                 String comment,
                                                                 io.vertx.codegen.doc.Doc doc,
                                                                 io.vertx.codegen.type.TypeInfo returnType,
                                                                 io.vertx.codegen.doc.Text returnDescription,
                                                                 boolean isFluent,
                                                                 boolean isCacheReturn,
                                                                 List<io.vertx.codegen.ParamInfo> mParams,
                                                                 ExecutableElement methodElt,
                                                                 boolean isStatic,
                                                                 boolean isDefault,
                                                                 ArrayList<io.vertx.codegen.TypeParamInfo.Method> typeParams,
                                                                 TypeElement declaringElt,
                                                                 boolean methodDeprecated,
                                                                 io.vertx.codegen.doc.Text methodDeprecatedDesc,
                                                                 boolean useFutures,
                                                                 boolean methodOverride)

      Overrides:
        `createMethodInfo` in class `io.vertx.codegen.ClassModel`

Copyright © 2021 Eclipse. All rights reserved.